@echo on
REM Seamonkey420's SageTV Batch File
REM created on: 3/14/05
REM RECOMMENDED TO TEST IN A TEMP DIR FIRST!!

REM Setup as is, it will encode mpg to divx, then 
REM clean up the log, txt, ccno and VPrj files
REM Then moves the avi file to a new folder (odir)
REM Then finally deletes the original mpg

REM 3/15/05: Added creation of subfolders with date encoded
REM and also allows date variable to be globally available


REM Be sure to put this batch file in the same folder as your Virtualdub.exe file
REM ALSO Be sure to create a .vcf settings file in Virtualdub
REM This file then needs to be saved in the same folder as virtualdub.exe and this batch file


REM parses month, day, and year into mm , dd, yyyy formats to create folders off of!
FOR /F "TOKENS=1* DELIMS= " %%A IN ('DATE/T') DO SET CDATE=%%B
FOR /F "TOKENS=1,2 eol=/ DELIMS=/ " %%A IN ('DATE/T') DO SET mm=%%B
FOR /F "TOKENS=1,2 DELIMS=/ eol=/" %%A IN ('echo %CDATE%') DO SET dd=%%B
FOR /F "TOKENS=2* DELIMS=/ eol=/" %%A IN ('echo %CDATE%') DO SET yyyy=%%B
SET date=%mm%%dd%%yy%

REM SETS SCRIPT VARIABLES, ie folder paths for files to be encoded
REM and where to save files and locations of WMEncoder main script

set idir=M:\TV Shows
set odir=M:\TV Shows\encoded


REM This line checks for a .VPrj file in the idir location.
REM If it finds the file, it will first create a folder with todays date using mmddyyyy format
REM into the odir folder and it will then call virtualdub.exe w/the parameters 
REM and the .vcf profile for virtualdub and encode the mpg into divx avi

for /f "tokens=1 delims=." %%i in ('dir /s/b "%idir%\*-?.VPrj"') do if EXIST "%%i.mpg" (md "%odir%\%date%") 2>&1
for /f "tokens=1 delims=." %%i in ('dir /s/b "%idir%\*-?.VPrj"') do if EXIST "%%i.VPrj" (virtualdub.exe /s"tvshows.vcf" -p"%%i.mpg","%%i.avi" -q /r /x /c)


REM this section cleans up the old files and moves the avi to the odir\date folder

for /f "tokens=1 delims=." %%i in ('dir /b "%idir%\*-?.avi"') do if EXIST "%idir%\%%i.avi" (move "%idir%\%%i.avi" "%odir%\%date%\%%i.avi")
for /f "tokens=1 delims=." %%i in ('dir /b "%odir%\%date%\*-?.avi"') do if EXIST "%odir%\%date%\%%i.avi" (del "%idir%\%%i.log")
for /f "tokens=1 delims=." %%i in ('dir /b "%odir%\%date%\*-?.avi"') do if EXIST "%odir%\%date%\%%i.avi" (del "%idir%\%%i.txt")
for /f "tokens=1 delims=." %%i in ('dir /b "%odir%\%date%\*-?.avi"') do if EXIST "%odir%\%date%\%%i.avi" (del "%idir%\%%i.VPrj")
for /f "tokens=1 delims=." %%i in ('dir /b "%odir%\%date%\*-?.avi"') do if EXIST "%odir%\%date%\%%i.avi" (del "%idir%\%%i.ccno")

REM This line removes the original mpg movie if the avi is created and moved successfully to the odir

for /f "tokens=1 delims=." %%i in ('dir /b "%odir%\%date%\*-?.avi"') do if EXIST "%idir%\%%i.mpg" (del "%idir%\%%i.mpg
)

REM Cleans up any orphaned files, looks to see if there the mpg exists, if not, deletes the
REM orphaned files

for /f "tokens=1 delims=." %%i in ('dir /b "%idir%\*-?.txt"') do if NOT EXIST "%idir%\%%i.mpg" (del "%idir%\%%i.log")
for /f "tokens=1 delims=." %%i in ('dir /b "%idir%\*-?.txt"') do if NOT EXIST "%idir%\%%i.mpg" (del "%idir%\%%i.ccno")
for /f "tokens=1 delims=." %%i in ('dir /b "%idir%\*-?.txt"') do if NOT EXIST "%idir%\%%i.mpg" (del "%idir%\%%i.VPrj")
for /f "tokens=1 delims=." %%i in ('dir /b "%idir%\*-?.txt"') do if NOT EXIST "%idir%\%%i.mpg" (del "%idir%\%%i.txt")

REM This will then call windows media encoder script to then broadcast all the newly encoded files!
REM Commented out for now, delete the REM to use!

REM for /f "tokens=1 delims=." %%i in ('dir /b "%bdir%\*-?.%filetype%"') do if EXIST "%bdir%\%%i.%filetype%" (cscript.exe wmcmd.vbs -input "%bdir%\%%i.%filetype%" -author seamonkey420 -description %%i -broadcast %port% -loadprofile tvshows.prx)
